1. 13 May, 2013 1 commit
  2. 30 Apr, 2013 1 commit
    • Ulrich Klauer's avatar
      Handle AC_SEARCH_LIBS special result value. · 365ac4c2
      Ulrich Klauer authored
      AC_SEARCH_LIBS will give a result of "none required" if the relevant
       function is available without any special libraries.
      This is the case for lrintf on MinGW.
      Make sure this special value isn't put verbatim into the pkg-config
       files, as it would cause the linker to search for files named
       "none" and "required", and fail.
      Signed-off-by: Timothy B. Terriberry's avatarTimothy B. Terriberry <tterribe@xiph.org>
      365ac4c2
  3. 28 Feb, 2013 4 commits
    • Timothy B. Terriberry's avatar
      Require WindowsXP for mingw32. · cc5f107c
      Timothy B. Terriberry authored
      This allows an i686-pc-mingw32 build to use getaddrinfo/
       freeaddrinfo correctly.
      It's not needed for an i686-w64-mingw32 build, but it doesn't hurt
       to leave it in here.
      i686-pc-mingw32 still won't work correctly, because it does not
       support fseeko/ftello, nor (unless using MSVCRT 8.0 or later)
       _fseeki64/_ftelli64.
      We could define __MSVCRT_VERSION__ to 0x800 to get the latter, but
       this would require different MSVCRT versions than libogg and
       libopus are built with by default, which makes a bit of a mess.
      cc5f107c
    • Timothy B. Terriberry's avatar
      Clean up mingw32 configuruation. · 1e9d7d85
      Timothy B. Terriberry authored
      Properly check for HTTP support and handle the case where it's
       disabled.
      Also fixes the include paths broken by 3e7f0ddc.
      1e9d7d85
    • Timothy B. Terriberry's avatar
      s/OS_WIN32/OP_WIN32/ · 100027a3
      Timothy B. Terriberry authored
      The former is too generic.
      100027a3
    • Ralph Giles's avatar
      Initial winsock support patch from nu774. · 9c097eee
      Ralph Giles authored
      Some tweak might be still needed to take care of OPENSSL_AppLink
      to get https support working. In win32, user application of openssl
      is required to include openssl/applink.c or something, when openssl
      is compiled with OPENSSL_USE_APPLINK.
      
      I don't know how it should be taken care of, from the library point of
      view (it must be done by user of libopusfile, since openssl always
      searches that function in executable module).
      
      Posted to the hydrogenaudio format 2012 November 19.
      http://www.hydrogenaudio.org/forums/index.php?s=&showtopic=97856&view=findpost&p=814582
      9c097eee
  4. 13 Nov, 2012 1 commit
  5. 12 Nov, 2012 1 commit
    • Ron's avatar
      Support --disable-maintainer-mode · ac0af36f
      Ron authored
      Adding AM_MAINTAINER_MODE([enable]) preserves the current behaviour of
      rebuilding the autotools support by default if anything changed to make
      it out of date -- which is desirable for people building from git to
      avoid "Why is the build broken? Oh I forgot to rerun autogen.sh", which
      is an all too frequent FAQ.
      
      But it also allows it to be disabled, which is mostly useful for things
      like distro package builds where the files should be preserved in their
      original form, and configure shouldn't be run twice on the first build
      if the timestamps were not strictly preserved for these files.
      Signed-off-by: default avatarRalph Giles <giles@mozilla.com>
      ac0af36f
  6. 24 Oct, 2012 3 commits
  7. 23 Oct, 2012 2 commits
    • Ralph Giles's avatar
      Don't build the API docs if doxygen isn't available. · bc1985a1
      Ralph Giles authored
      Updates the configure check to match the one in the Opus
      repository.
      bc1985a1
    • Ralph Giles's avatar
      Set the autoconf version from git. · cfd4e2c3
      Ralph Giles authored
      AC_INIT requires that the version string passed in be 'static'
      so we can't use the output of a shell invocation. However, it
      can be computed by an m4 shell invocation. This is what autoconf
      itself does to embed its git version number in PACKAGE_VERSION.
      
      Doing this necessitates the 'echo -n' in git-version.sh. Make
      is smart enough to strip the trailing newline, but AC_INIT is
      not. We must also add -f to autoreconf. Otherwise, autogen.sh
      will only update configure when configure.ac changes, even if
      the output of git-version.sh has changed.
      
      This is still not ideal, since it runs at autogen.sh time, not
      at 'make' time, which is what we want. This seems to be a limitation
      of an upcoming automake release, which removes the old style
      with PACKAGE and VERSION set by shell variables.
      cfd4e2c3
  8. 01 Oct, 2012 3 commits
  9. 29 Sep, 2012 1 commit